## grendel.search
Class MailSearch

    java.lang.Object
      |
      +--grendel.search.MailSearch

public class MailSearch
extends java.lang.Object
implements ISearchable

Constructor Summary
`MailSearch()`

Method Summary
`java.awt.Component` | `getResultComponent(ISearchResults aResults)`
`ISearchAttribute` | `getSearchAttribute(int idx)`
`int` | `getSearchAttributeCount()`
`ISearchResults` | `getSearchResults()`
`java.awt.Component` | `getTargetComponent()`
`void` | `search(javax.mail.search.SearchTerm aTerm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailSearch

    public MailSearch()

Method Detail

### getSearchAttributeCount

    public int getSearchAttributeCount()

  Specified by:
    getSearchAttributeCount in interface ISearchable

### getSearchAttribute

    public ISearchAttribute getSearchAttribute(int idx)

  Specified by:
    getSearchAttribute in interface ISearchable

### search

    public void search(javax.mail.search.SearchTerm aTerm)

  Specified by:
    search in interface ISearchable

### getSearchResults

    public ISearchResults getSearchResults()

  Specified by:
    getSearchResults in interface ISearchable

### getTargetComponent

    public java.awt.Component getTargetComponent()

  Specified by:
    getTargetComponent in interface ISearchable

### getResultComponent

    public java.awt.Component getResultComponent(ISearchResults aResults)

  Specified by:
    getResultComponent in interface ISearchable